<!doctype html>
<html>
<head>
<meta charset="UTF-8">
<title>FLEXBOX_02 JEREMY GARCÍA</title>
<style>
.contenedor {
	/* 1. Prueba antes de modificar.*/
    /*Tenemos los div en distintas filas*/
    
  /* 2. Indica display: flex; a continuación*/
  display: flex; /*Creamos el contenedor flex*/
  /*Ahora los div que son hijos del contenedor flex se acomodan en una sola fila porque por
  defecto tenemos un flex-wrap: nowrap*/

	/* 3. Declara flex-direction: row; (row es el valor por default). Prueba */
	flex-direction: column;
  /*No observamos cambios porque es el valor por defecto (los elementos se acomodan en fila)*/

	/* 4. Cambia los valores para flex-direction y prueba con row-reverse, column y column-reverse */
  flex-direction: row-reverse; /*row-reverse los elementos se colocan de derecha a izquierda (orden inverso) sobre una fila*/
  flex-direction: column; /*Los elementos se colocan de arriba a abajo en una columna*/
  flex-direction: column-reverse; /*Los elementos se acomodan de abajo hacia arriba en una misma columna*/


  background-color: #0C3F7A;
}

.contenedor > div {
  background-color: #FFF;
  width: 25%;
  margin: 10px;
  text-align: center;
  line-height: 75px;
  font-size: 30px;
}
</style>
</head>
<body>
<h1>Flexible Box Direction</h1>

<div class="contenedor">
  <div>A</div>
  <div>B</div>
  <div>C</div>  
  <div>D</div>
  <div>E</div>
  <div>F</div>  
  <div>G</div>
  <div>H</div>
</div>
</body>
</html>
